## libcgns 3.1.3.2

=== pcgns/src/CMakeLists.txt ===
##########
# Global #
##########

# Include directories
include_directories(. ${HDF5_INCLUDE_PATH} ${MPI_INCLUDE_PATH})

###########
# Library #
###########

# All the files needed by the cgns library
set(pcgns_FILES
	pcgnslib.c
	pcgns_util.c)

# Build a static version of the library
add_library(pcgns_static STATIC ${pcgns_FILES})
set_target_properties(pcgns_static PROPERTIES OUTPUT_NAME pcgns)
set_target_properties(pcgns_static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(pcgns_static PROPERTIES VERSION "0.2")
set_target_properties(pcgns_static PROPERTIES SOVERSION "0.2")

# Build a shared version of the library
if(CGNS_BUILD_SHARED)
  mark_as_advanced(CLEAR CGNS_USE_SHARED)
  add_library(pcgns_shared SHARED ${pcgns_FILES})
  # under windows we need to link with the HDF5 and MPI libraries
  # to build a dll and change the name of the shared library
  # for both static and shared version to exist
  if (WIN32 OR CYGWIN)
    target_link_libraries(pcgns_shared ${HDF5_LIBRARY})
    if(HDF5_NEED_ZLIB AND ZLIB_LIBRARY)
      target_link_libraries(cgns_shared ${ZLIB_LIBRARY})
    endif(HDF5_NEED_ZLIB AND ZLIB_LIBRARY)
    if(HDF5_NEED_SZIP AND SZIP_LIBRARY)
      target_link_libraries(cgns_shared ${SZIP_LIBRARY})
    endif(HDF5_NEED_SZIP AND SZIP_LIBRARY)
    if(MPI_LIBRARY)
      target_link_libraries(cgns_shared ${MPI_LIBRARY})
    endif(MPI_LIBRARY)
    set_target_properties(pcgns_shared PROPERTIES OUTPUT_NAME pcgnsdll)
  else (WIN32 OR CYGWIN)
    set_target_properties(pcgns_shared PROPERTIES OUTPUT_NAME pcgns)
  endif (WIN32 OR CYGWIN)
  set_target_properties(pcgns_shared PROPERTIES CLEAN_DIRECT_OUTPUT 1)
  set_target_properties(pcgns_shared PROPERTIES VERSION "0.2")
  set_target_properties(pcgns_shared PROPERTIES SOVERSION "0.2")
else(CGNS_BUILD_SHARED)
  set(CGNS_USE_SHARED "OFF")
  mark_as_advanced(FORCE CGNS_USE_SHARED)
endif(CGNS_BUILD_SHARED)

# Set the install path of the static library
install(TARGETS pcgns_static ARCHIVE DESTINATION lib)

# Set the install path of the shared library
if(CGNS_BUILD_SHARED)
  # for windows, need to install both cgnsdll.dll and cgnsdll.lib
  if (WIN32 OR CYGWIN)
    install(TARGETS pcgns_shared ARCHIVE DESTINATION lib)
    install(TARGETS pcgns_shared RUNTIME DESTINATION lib)
  else (WIN32 OR CYGWIN)
    install(TARGETS pcgns_shared LIBRARY DESTINATION lib)
  endif (WIN32 OR CYGWIN)
endif(CGNS_BUILD_SHARED)

# Set the install path of the header files
install(FILES
	pcgnslib.h
	DESTINATION include)

#########
# Tests #
#########

if (ENABLE_TESTS)
  add_subdirectory(tests)
endif (ENABLE_TESTS)

=== src/tests/CMakeLists.txt ===
#########
# Tests #
#########

# Link all the executables to cgns and hdf5
link_directories(.)
link_libraries(cgns_static)

if (ENABLE_HDF5 AND HDF5_LIBRARY)
  link_libraries(${HDF5_LIBRARY})
  if(HDF5_NEED_ZLIB AND ZLIB_LIBRARY)
    link_libraries(${ZLIB_LIBRARY})
  endif(HDF5_NEED_ZLIB AND ZLIB_LIBRARY)
  if(HDF5_NEED_SZIP AND SZIP_LIBRARY)
    link_libraries(${SZIP_LIBRARY})
  endif(HDF5_NEED_SZIP AND SZIP_LIBRARY)
  if(HDF5_NEED_MPI AND MPI_LIBRARY)
    link_libraries(${MPI_LIBRARY} ${MPI_EXTRA_LIBRARY})
  endif(HDF5_NEED_MPI AND MPI_LIBRARY)
endif (ENABLE_HDF5 AND HDF5_LIBRARY)

if (NOT WIN32)
  link_libraries(m)
endif (NOT WIN32)

# Set the files needed by each test
set(cgioc_FILES cgioc.c)
set(dbtest_FILES dbtest.c utils.c)
set(elemtest_FILES elemtest.c)
set(open_cgns_FILES open_cgns.c utils.c)
set(test_exts_FILES test_exts.c)
set(test_goto_FILES test_goto.c)
set(test_partial_FILES test_partial.c)
set(test_ver31_FILES test_ver31.c)
set(write_array_FILES write_array.c utils.c)
set(write_bcdata_FILES write_bcdata.c utils.c)
set(write_links_FILES write_links.c utils.c)
set(write_rind_FILES write_rind.c)
set(write_test_FILES write_test.c)
set(write_zones_FILES write_zones.c utils.c)
set(cgiof_FILES cgiof.F)
set(cgread_FILES cgread.F)
set(cgwrite_FILES cgwrite.F)
set(cgzconn_FILES cgzconn.F)
set(cgsubreg_FILES cgsubreg.F)
set(f2c_test_FILES ../f2c/fmain.f ../f2c/csub.c)

# Build each test
add_executable( cgioc        ${cgioc_FILES}        )
add_executable( dbtest       ${dbtest_FILES}       )
add_executable( elemtest     ${elemtest_FILES}     )
add_executable( open_cgns    ${open_cgns_FILES}    )
add_executable( test_exts    ${test_exts_FILES}    )
add_executable( test_goto    ${test_goto_FILES}    )
add_executable( test_partial ${test_partial_FILES} )
add_executable( test_ver31   ${test_ver31_FILES}   )
add_executable( write_array  ${write_array_FILES}  )
add_executable( write_bcdata ${write_bcdata_FILES} )
add_executable( write_links  ${write_links_FILES}  )
add_executable( write_rind   ${write_rind_FILES}   )
add_executable( write_test   ${write_test_FILES}   )
add_executable( write_zones  ${write_zones_FILES}  )

# Conditionally build the fortran tests
if (ENABLE_FORTRAN AND CMAKE_Fortran_COMPILER_WORKS)
	add_executable( f2c_test     ${f2c_test_FILES} )
	add_executable( cgread       ${cgread_FILES}   )
	add_executable( cgwrite      ${cgwrite_FILES}  )
	add_executable( cgzconn      ${cgzconn_FILES}  )
	add_executable( cgsubreg     ${cgsubreg_FILES} )
	if (NOT ENABLE_64BIT)
	  add_executable(cgiof ${cgiof_FILES})
	endif (NOT ENABLE_64BIT)
endif (ENABLE_FORTRAN AND CMAKE_Fortran_COMPILER_WORKS)

# Add the tests so that ctest can find them
if (ENABLE_TESTS)
  add_test( cgioc        cgioc                    )
  add_test( dbtest       dbtest 1 1 elemtest.cgns )
  add_test( elemtest     elemtest                 )
  add_test( open_cgns    open_cgns elemtest.cgns  )
  add_test( test_exts    test_exts                )
  add_test( test_goto    test_goto                )
  add_test( test_partial test_partial             )
  add_test( test_ver31   test_ver31               )
  add_test( write_array  write_array              )
  add_test( write_bcdata write_bcdata             )
  add_test( write_links  write_links              )
  add_test( write_rind   write_rind               )
  add_test( write_test   write_test               )
  add_test( write_zones  write_zones              )

  # Conditionally add the fortran tests
  if (ENABLE_FORTRAN AND CMAKE_Fortran_COMPILER_WORKS)
	add_test( f2c_test f2c_test ) # This still needs a regex test
	add_test( cgwrite  cgwrite  )
	add_test( cgread   cgread   )
	add_test( cgzconn  cgzconn  )
	add_test( cgsubreg cgsubreg )
	if (NOT ENABLE_64BIT)
	  add_test(cgiof cgiof)
	endif (NOT ENABLE_64BIT)
  endif (ENABLE_FORTRAN AND CMAKE_Fortran_COMPILER_WORKS)
endif (ENABLE_TESTS)

=== src/cgnstools/cgnsplot/CMakeLists.txt ===
############
# cgnsplot #
############

include_directories(${TCL_INCLUDE_PATH} ${TK_INCLUDE_PATH} ${OPENGL_INCLUDE_DIR})
include_directories(../common)
link_directories(. ../tkogl)
if (CGNS_USE_SHARED)
  link_libraries(cgns_shared)
else (CGNS_USE_SHARED)
  link_libraries(cgns_static)
endif (CGNS_USE_SHARED)
link_libraries(tkogl ${TCL_LIBRARY} ${TK_LIBRARY}
	${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY})

if (ENABLE_HDF5 AND HDF5_LIBRARY)
  link_libraries(${HDF5_LIBRARY})
  if(HDF5_NEED_ZLIB AND ZLIB_LIBRARY)
    link_libraries(${ZLIB_LIBRARY})
  endif(HDF5_NEED_ZLIB AND ZLIB_LIBRARY)
  if(HDF5_NEED_SZIP AND SZIP_LIBRARY)
    link_libraries(${SZIP_LIBRARY})
  endif(HDF5_NEED_SZIP AND SZIP_LIBRARY)
  if(HDF5_NEED_MPI AND MPI_LIBRARY)
    link_libraries(${MPI_LIBRARY} ${MPI_EXTRA_LIBRARY})
  endif(HDF5_NEED_MPI AND MPI_LIBRARY)
endif (ENABLE_HDF5 AND HDF5_LIBRARY)

if (WIN32)
  set(cgnsplot_FILES
	cgnstcl.c
	winmain.c
	../common/hash.c)
else (WIN32)
  include_directories(${X11_X11_INCLUDE_PATH})
  link_libraries(${X11_X11_LIB} ${X11_Xmu_LIB} m)
  set(cgnsplot_FILES
	cgnstcl.c
	plotwish.c
	../common/hash.c)
endif (WIN32)

add_executable(plotwish ${cgnsplot_FILES})
add_dependencies(plotwish cgns_static tkogl)

if (WIN32)
  set_target_properties(plotwish PROPERTIES
  	LINK_FLAGS /subsystem:windows)
endif (WIN32)

if (WIN32)
  install(TARGETS
	plotwish
	RUNTIME DESTINATION bin)
  install(PROGRAMS
	cgnsplot.bat
	DESTINATION bin)
  install(FILES
	cgnsplot.tcl
	cgnsplot.ico
	cgnsplot.png
	cgnsplot-icon.xbm
	cgnsplot-mask.xbm
	DESTINATION share)
  install(DIRECTORY help/
	DESTINATION share/help/cgnsplot
	FILES_MATCHING PATTERN "*.html" PATTERN "*.gif"
	PATTERN ".svn" EXCLUDE)
else (WIN32)
  install(TARGETS
	plotwish
	RUNTIME DESTINATION bin/cgnstools)
  install(PROGRAMS
	cgnsplot.sh
	DESTINATION bin
	RENAME cgnsplot)
  install(FILES
	cgnsplot.tcl
	cgnsplot.ico
	cgnsplot.png
	cgnsplot-icon.xbm
	cgnsplot-mask.xbm
	DESTINATION share/cgnstools)
  install(DIRECTORY help/
	DESTINATION share/cgnstools/help/cgnsplot
	FILES_MATCHING PATTERN "*.html" PATTERN "*.gif"
	PATTERN ".svn" EXCLUDE)
endif (WIN32)

=== src/cgnstools/cgnsview/CMakeLists.txt ===
#############
# cgnsview  #
#############

include_directories(${TCL_INCLUDE_PATH} ${TK_INCLUDE_PATH})
include_directories(../common)
include_directories(../..)
link_directories(.)
if (CGNS_USE_SHARED)
  link_libraries(cgns_shared)
else (CGNS_USE_SHARED)
  link_libraries(cgns_static)
endif (CGNS_USE_SHARED)
link_libraries(${TCL_LIBRARY} ${TK_LIBRARY})

if (ENABLE_HDF5 AND HDF5_LIBRARY)
  link_libraries(${HDF5_LIBRARY})
  if(HDF5_NEED_ZLIB AND ZLIB_LIBRARY)
    link_libraries(${ZLIB_LIBRARY})
  endif(HDF5_NEED_ZLIB AND ZLIB_LIBRARY)
  if(HDF5_NEED_SZIP AND SZIP_LIBRARY)
    link_libraries(${SZIP_LIBRARY})
  endif(HDF5_NEED_SZIP AND SZIP_LIBRARY)
  if(HDF5_NEED_MPI AND MPI_LIBRARY)
    link_libraries(${MPI_LIBRARY} ${MPI_EXTRA_LIBRARY})
  endif(HDF5_NEED_MPI AND MPI_LIBRARY)
endif (ENABLE_HDF5 AND HDF5_LIBRARY)

if (WIN32)
  set(cgnsview_FILES
	winmain.c
	cgiotcl.c)
else (WIN32)
  include_directories(${X11_X11_INCLUDE_PATH})
  link_libraries(${X11_X11_LIB} m)
  set(cgnsview_FILES
	cgiowish.c
	cgiotcl.c)
endif (WIN32)


add_executable(cgiowish ${cgnsview_FILES})
add_dependencies(cgiowish cgns_static)

if (WIN32)
  set_target_properties(cgiowish PROPERTIES
  	LINK_FLAGS /subsystem:windows)
endif (WIN32)

if (WIN32)
  install(TARGETS
	cgiowish
	RUNTIME DESTINATION bin)
  install(PROGRAMS
	cgnsview.bat
	cgnsnodes.bat
	DESTINATION bin)
  install(FILES
	cgnsview.tcl
	cgns.tcl
	cgnsnodes.tcl
	export.tcl
	import.tcl
	tools.tcl
	tclIndex
	DESTINATION share)
  install(DIRECTORY help/
	DESTINATION share/help/cgnsview
	FILES_MATCHING PATTERN "*.html" PATTERN "*.gif"
	PATTERN ".svn" EXCLUDE)
else (WIN32)
  install(TARGETS
	cgiowish
	RUNTIME DESTINATION bin/cgnstools)
  install(PROGRAMS
	cgnsview.sh
	DESTINATION bin
	RENAME cgnsview)
  install(PROGRAMS
	cgnsnodes.sh
	DESTINATION bin
	RENAME cgnsnodes)
  install(FILES
	cgnsview.tcl
	cgns.tcl
	cgnsnodes.tcl
	export.tcl
	import.tcl
	tools.tcl
	tclIndex
	DESTINATION share/cgnstools)
  install(DIRECTORY help/
	DESTINATION share/cgnstools/help/cgnsview
	FILES_MATCHING PATTERN "*.html" PATTERN "*.gif"
	PATTERN ".svn" EXCLUDE)
endif (WIN32)

## libcgns 2.5.5

=== debian/changelog ===
libcgns (2.5.5-2) unstable; urgency=low

  * Fix the format-security issue (Closes: #643418)
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Nov 2011 15:11:17 +0100

libcgns (2.5.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.1
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Feb 2011 13:21:25 +0100

libcgns (2.5.4-3) unstable; urgency=low

  * Rebuild against libhdf5 1.8.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jan 2010 14:32:09 +0100

libcgns (2.5.4-2) unstable; urgency=low

  * Under HPPA, disable the 64 bits compilation options (Closes: #557984)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Jan 2010 13:30:08 +0100

libcgns (2.5.4-1) unstable; urgency=low

  * New upstream release
  * Change of my email address since I am now DD
  * Removal of Torsten on his request
  * Standards-Version updated to 3.8.3
  * DM-Upload-Allowed removed
  * Wrong profile in ADFH.c on function H5Acreate (wrongProfile.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Sep 2009 18:34:22 +0200

libcgns (2.5.3-3) unstable; urgency=low

  * Fix a typo (Convertion => Conversion) (Closes: #534151)
  * Standards-Version updated to 3.8.2

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 22 Jun 2009 16:45:49 +0200

libcgns (2.5.3-2) unstable; urgency=low

  [ Oliver Borm ]
  * Install more needed header files.
  * Package the adf2hdf and hdf2adf converters into cgns-convert
  * Link the libcgns against libhdf5

  [ Sylvestre Ledru ]
  * Merge the different changes of Oliver Borm (Closes: #529971)
  * Standards-Version updated to 3.8.1 
  * Strip adf2hdf and hdf2adf binaries
  * ${misc:Depends} added to make lintian happy

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 09 Jun 2009 16:10:47 +0200

libcgns (2.5.3-1) unstable; urgency=low

  * Initial release (Closes: #501924)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 08 Oct 2008 22:38:20 +0200

=== debian/control ===
Source: libcgns
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, quilt,
 libhdf5-serial-dev, chrpath
Standards-Version: 3.9.2
Homepage: http://cgns.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/libcgns/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/libcgns/

Package: libcgns-dev
Section: libdevel
Architecture: any
Depends:  ${shlibs:Depends}, libcgns2 (= ${binary:Version}), ${misc:Depends}
Description: CFD General Notation System library
 The CFD General Notation System (CGNS) provides a general, portable, and
 extensible standard for the storage and retrieval of computational fluid
 dynamics (CFD) analysis data. It consists of a collection of conventions, and
 free and open software implementing those conventions. It is self-descriptive,
 machine-independent, well-documented, and administered by an international
 steering committee. It is also an American Institute of Aeronautics and
 Astronautics (AIAA) Recommended Practice.
 .
 This package contains the development files needed to compile software to
 use the libcgns API.

Package: libcgns2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CFD General Notation System library
 The CFD General Notation System (CGNS) provides a general, portable, and
 extensible standard for the storage and retrieval of computational fluid
 dynamics (CFD) analysis data. It consists of a collection of conventions, and
 free and open software implementing those conventions. It is self-descriptive,
 machine-independent, well-documented, and administered by an international
 steering committee. It is also an American Institute of Aeronautics and
 Astronautics (AIAA) Recommended Practice.

Package: libcgns2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcgns2 (= ${binary:Version}), ${misc:Depends}
Description: CFD General Notation System library
 The CFD General Notation System (CGNS) provides a general, portable, and
 extensible standard for the storage and retrieval of computational fluid
 dynamics (CFD) analysis data. It consists of a collection of conventions, and
 free and open software implementing those conventions. It is self-descriptive,
 machine-independent, well-documented, and administered by an international
 steering committee. It is also an American Institute of Aeronautics and
 Astronautics (AIAA) Recommended Practice.
 .
 This package contains the debugging symbols of the library.

Package: cgns-convert
Section: science
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CFD General Notation System - Conversion tools
 The CFD General Notation System (CGNS) provides a general, portable, and
 extensible standard for the storage and retrieval of computational fluid
 dynamics (CFD) analysis data. It consists of a collection of conventions, and
 free and open software implementing those conventions. It is self-descriptive,
 machine-independent, well-documented, and administered by an international
 steering committee. It is also an American Institute of Aeronautics and
 Astronautics (AIAA) Recommended Practice.
 .
 This package contains the adf2hdf, hdf2adf tools.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_NORMAL_ARGS += --enable-shared=all --with-hdf5=/usr \
	--with-szip --enable-lfs --enable-debug

ifeq ($(DEB_BUILD_ARCH),hppa)
  DEB_CONFIGURE_NORMAL_ARGS += --disable-64bit
else 
  DEB_CONFIGURE_NORMAL_ARGS += --enable-64bit
endif



install/libcgns-dev::
	for file in $(DEB_DESTDIR)/usr/lib/* ; do \
		chrpath -d $$file; \
	done

get-orig-source:
	uscan --force-download --rename

## libcgns 3.1.3.2

=== debian/changelog ===
libcgns (3.1.3.2-1) experimental; urgency=low

  * New upstream release
  * Rename libcgns2 => libcgns3.1
  * Standards-Version updated to 3.9.2
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Apr 2011 00:37:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, cdbs, quilt,
- libhdf5-serial-dev, chrpath
+Build-Depends: debhelper (>= 7), autotools-dev, cdbs, quilt, 
+ libhdf5-dev (>= 1.8.7), chrpath, mpi-default-dev, cmake
 Standards-Version: 3.9.2
 Homepage: http://cgns.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/libcgns/
@@ -13,7 +13,7 @@
 Package: libcgns-dev
 Section: libdevel
 Architecture: any
-Depends:  ${shlibs:Depends}, libcgns2 (= ${binary:Version}), ${misc:Depends}
+Depends:  ${shlibs:Depends}, libcgns3.1 (= ${binary:Version}), ${misc:Depends}
 Description: CFD General Notation System library
  The CFD General Notation System (CGNS) provides a general, portable, and
  extensible standard for the storage and retrieval of computational fluid
@@ -26,7 +26,7 @@
  This package contains the development files needed to compile software to
  use the libcgns API.
 
-Package: libcgns2
+Package: libcgns3.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CFD General Notation System library
@@ -38,11 +38,11 @@
  steering committee. It is also an American Institute of Aeronautics and
  Astronautics (AIAA) Recommended Practice.
 
-Package: libcgns2-dbg
+Package: libcgns3.1-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcgns2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcgns3.1 (= ${binary:Version}), ${misc:Depends}
 Description: CFD General Notation System library
  The CFD General Notation System (CGNS) provides a general, portable, and
  extensible standard for the storage and retrieval of computational fluid
